zenilib: zenilib/jni/external/openal-soft/Alc/mixer_defs.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
mixer_defs.h File Reference
`#include "AL/alc.h"`
`#include "AL/al.h"`
`#include "alMain.h"`

Go to the source code of this file.

## Functions

void | MixDirect_C (const struct DirectParams *, const ALfloat *RESTRICT, ALuint, ALuint, ALuint, ALuint)
void | MixDirect_Hrtf_C (const struct DirectParams *, const ALfloat *RESTRICT, ALuint, ALuint, ALuint, ALuint)
void | MixDirect_Hrtf_Neon (const struct DirectParams *, const ALfloat *RESTRICT, ALuint, ALuint, ALuint, ALuint)
void | MixDirect_Hrtf_SSE (const struct DirectParams *, const ALfloat *RESTRICT, ALuint, ALuint, ALuint, ALuint)
void | MixDirect_SSE (const struct DirectParams *, const ALfloat *RESTRICT, ALuint, ALuint, ALuint, ALuint)
void | MixSend_C (const struct SendParams *, const ALfloat *RESTRICT, ALuint, ALuint, ALuint)
void | MixSend_SSE (const struct SendParams *, const ALfloat *RESTRICT, ALuint, ALuint, ALuint)
void | Resample_copy32_C (const ALfloat *src, ALuint frac, ALuint increment, ALfloat *RESTRICT dst, ALuint dstlen)
void | Resample_cubic32_C (const ALfloat *src, ALuint frac, ALuint increment, ALfloat *RESTRICT dst, ALuint dstlen)
void | Resample_lerp32_C (const ALfloat *src, ALuint frac, ALuint increment, ALfloat *RESTRICT dst, ALuint dstlen)
void | Resample_point32_C (const ALfloat *src, ALuint frac, ALuint increment, ALfloat *RESTRICT dst, ALuint dstlen)

## Function Documentation

void MixDirect_C | ( | const struct DirectParams * | ,
|  | const ALfloat * | RESTRICT,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint |
| ) |  |

void MixDirect_Hrtf_C | ( | const struct DirectParams * | ,
|  | const ALfloat * | RESTRICT,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint |
| ) |  |

Referenced by SelectHrtfMixer().

void MixDirect_Hrtf_Neon | ( | const struct DirectParams * | ,
|  | const ALfloat * | RESTRICT,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint |
| ) |  |

Referenced by SelectHrtfMixer().

void MixDirect_Hrtf_SSE | ( | const struct DirectParams * | ,
|  | const ALfloat * | RESTRICT,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint |
| ) |  |

Referenced by SelectHrtfMixer().

void MixDirect_SSE | ( | const struct DirectParams * | ,
|  | const ALfloat * | RESTRICT,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint |
| ) |  |

Referenced by SelectDirectMixer().

void MixSend_C | ( | const struct SendParams * | ,
|  | const ALfloat * | RESTRICT,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint |
| ) |  |

void MixSend_SSE | ( | const struct SendParams * | ,
|  | const ALfloat * | RESTRICT,
|  | ALuint | ,
|  | ALuint | ,
|  | ALuint |
| ) |  |

Referenced by SelectSendMixer().

void Resample_copy32_C | ( | const ALfloat * | src,
|  | ALuint | frac,
|  | ALuint | increment,
|  | ALfloat *RESTRICT | dst,
|  | ALuint | dstlen
| ) |  |

Definition at line 18 of file mixer_c.c.

References assert, FRACTIONONE, and memcpy.

Referenced by SelectResampler().

void Resample_cubic32_C | ( | const ALfloat * | src,
|  | ALuint | frac,
|  | ALuint | increment,
|  | ALfloat *RESTRICT | dst,
|  | ALuint | dstlen
| ) |  |

Referenced by SelectResampler().

void Resample_lerp32_C | ( | const ALfloat * | src,
|  | ALuint | frac,
|  | ALuint | increment,
|  | ALfloat *RESTRICT | dst,
|  | ALuint | dstlen
| ) |  |

Referenced by SelectResampler().

void Resample_point32_C | ( | const ALfloat * | src,
|  | ALuint | frac,
|  | ALuint | increment,
|  | ALfloat *RESTRICT | dst,
|  | ALuint | dstlen
| ) |  |

Referenced by SelectResampler().